$(document).ready( function() {
  $('#edit-mode').change(
    function() {
      view_div = $('#edit-view-wrapper');
      count_div = $('#edit-count-wrapper');
      headlines_div = $('#field-headlines-items');
      stories_div = $('#field-stories-items');
      edition_div = $('#edit-edition-nid-wrapper');

      switch ($('#edit-mode').val()) {
        case 'list':
          if (stories_div.css('display') != 'none')
            stories_div.slideUp('slow');
          if (headlines_div.css('display') != 'none')
            headlines_div.slideUp('slow');
          if (edition_div.css('display') != 'none')
            edition_div.slideUp('slow');
          if (view_div.css('display') == 'none')
            view_div.slideDown('slow');
          if (count_div.css('display') == 'none')
            count_div.slideDown('slow');
          break;

        case 'schedule':
          if (stories_div.css('display') != 'none')
            stories_div.slideUp('slow');
          if (headlines_div.css('display') != 'none')
            headlines_div.slideUp('slow');
          if (edition_div.css('display') != 'none')
            edition_div.slideUp('slow');
          if (count_div.css('display') != 'none')
            count_div.slideUp('slow');
          if (view_div.css('display') == 'none')
            view_div.slideDown('slow');
          break;

        case 'edition':
          if (stories_div.css('display') != 'none')
            stories_div.slideUp('slow');
          if (headlines_div.css('display') != 'none')
            headlines_div.slideUp('slow');
          if (count_div.css('display') != 'none')
            count_div.slideUp('slow');
          if (view_div.css('display') == 'none')
            view_div.slideDown('slow');
          if (edition_div.css('display') == 'none')
            edition_div.slideDown('slow');
          break;

        case 'stories':
          if (edition_div.css('display') != 'none')
            edition_div.slideUp('slow');
          if (count_div.css('display') != 'none')
            count_div.slideUp('slow');
          if (view_div.css('display') != 'none')
            view_div.slideUp('slow');
          if (stories_div.css('display') == 'none')
            stories_div.slideDown('slow');
          if (headlines_div.css('display') == 'none')
            headlines_div.slideDown('slow');
          break;
      }
    }
  );

  // Now hide according to initial values
  view_div = $('#edit-view-wrapper');
  count_div = $('#edit-count-wrapper');
  headlines_div = $('#field-headlines-items');
  stories_div = $('#field-stories-items');
  edition_div = $('#edit-edition-nid-wrapper');

  switch ($('#edit-mode').val()) {
    case 'list':
      stories_div.hide();
      headlines_div.hide();
      edition_div.hide();
      break;

    case 'schedule':
      stories_div.hide();
      headlines_div.hide();
      count_div.hide();
      edition_div.hide();
      break;

    case 'edition':
      stories_div.hide();
      headlines_div.hide();
      count_div.hide();
      break;

    case 'stories':
      count_div.hide();
      view_div.hide();
      edition_div.hide();
      break;
  }
} );
